com.trendmicro.ds.appcontrol.rest.object

## Class ListDecisionLogsResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.ListDecisionLogsResponse

-     public class ListDecisionLogsResponse
      extends java.lang.Object

  Response object for the ListDecisionLogs API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListDecisionLogsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getLastDecisionLogID()` Get the last decisionLog ID.
    `java.util.List<DecisionLog>` | `getListDecisionLogs()` Get the list of decisionLogs.
    `boolean` | `getMoreDecisionLogs()` Get the indicator that there are more decisionLogs available.
    `void` | `setDecisionLogs(java.util.List<DecisionLog> decisionLogs)` Set the list of decisionLogs.
    `void` | `setLastDecisionLogID(java.lang.Long lastDecisionLogID)` Set the last decision Log ID.
    `void` | `setMoreDecisionLogs(boolean moreDecisionLogs)` Set the indicator that there are more decisionLogs available.
    `ListDecisionLogsResponse` | `withDecisionLogs(java.util.List<DecisionLog> decisionLogs)` Set the list of decisionLogs.
    `ListDecisionLogsResponse` | `withLastDecisionLogID(java.lang.Long lastDecisionLogID)` Set the last decision log ID.
    `ListDecisionLogsResponse` | `withMoreDecisionLogs(boolean moreDecisionLogs)` Set the indicator that there are more decisionLogs available.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListDecisionLogsResponse

          public ListDecisionLogsResponse()

  - ### Method Detail

    - #### getLastDecisionLogID

          public java.lang.Long getLastDecisionLogID()

      Get the last decisionLog ID.

      This will be `0` if no decision Logs are retrieved.

      Returns:
        the last decision log ID.

    - #### setLastDecisionLogID

          public void setLastDecisionLogID(java.lang.Long lastDecisionLogID)

      Set the last decision Log ID.
      Parameters:
        `lastDecisionLogID` - the last decision Log ID.

    - #### withLastDecisionLogID

          public ListDecisionLogsResponse withLastDecisionLogID(java.lang.Long lastDecisionLogID)

      Set the last decision log ID.
      Parameters:
        `lastDecisionLogID` - the last decision log ID.
      Returns:
        the updated ListDecisionLogsResponse object.

    - #### getListDecisionLogs

          public java.util.List<DecisionLog> getListDecisionLogs()

      Get the list of decisionLogs.
      Returns:
        the list of decision logs.

    - #### setDecisionLogs

          public void setDecisionLogs(java.util.List<DecisionLog> decisionLogs)

      Set the list of decisionLogs.
      Parameters:
        `decisionLogs` - the list of decision logs.

    - #### withDecisionLogs

          public ListDecisionLogsResponse withDecisionLogs(java.util.List<DecisionLog> decisionLogs)

      Set the list of decisionLogs.
      Parameters:
        `decisionLogs` - the list of decision logs.
      Returns:
        the updated ListDecisionLogsResponse object.

    - #### getMoreDecisionLogs

          public boolean getMoreDecisionLogs()

      Get the indicator that there are more decisionLogs available.
      Returns:
        the indicator that there are more decision log available.

    - #### setMoreDecisionLogs

          public void setMoreDecisionLogs(boolean moreDecisionLogs)

      Set the indicator that there are more decisionLogs available.
      Parameters:
        `moreDecisionLogs` - the indicator that there are more decision log available.

    - #### withMoreDecisionLogs

          public ListDecisionLogsResponse withMoreDecisionLogs(boolean moreDecisionLogs)

      Set the indicator that there are more decisionLogs available.
      Parameters:
        `moreDecisionLogs` - the indicator that there are more decision log available.
      Returns:
        the updated ListDecisionLogResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.